Loading...
Searching...
No Matches
sspi_interface_info Struct Reference

Network interface information. More...

## Public Attributes

int | index
| Network interface index.
struct l_queue * | tokens
| List of MPTCP connection tokens.

## Detailed Description

Network interface information.

This plugin tracks MPTCP connection tokens on each network interface. A network interface is represented by its kernel assigned index value, which is based on the local address of the subflow. Once the network interface corresponding to the subflow local address is determined, the connection token for that subflow is then associated with the network interface as a means to denote that the MPTCP connection has a subflow on that network interface.

## Member Data Documentation

## tokens

struct l_queue* sspi_interface_info::tokens

List of MPTCP connection tokens.

A single network interface should have no duplicate tokens, enforcing the single subflow (per connection) per network interface requirement of this plugin.

The documentation for this struct was generated from the following file:

- plugins/path_managers/sspi.c